Package io.strimzi.systemtest.kafkaclients.clientproperties

## Class AbstractKafkaClientProperties.KafkaClientPropertiesBuilder<T extends AbstractKafkaClientProperties.KafkaClientPropertiesBuilder<T>>

- java.lang.Object
- - io.strimzi.systemtest.kafkaclients.clientproperties.AbstractKafkaClientProperties.KafkaClientPropertiesBuilder<T>

- Direct Known Subclasses:
    `ConsumerProperties.ConsumerPropertiesBuilder`, `ProducerProperties.ProducerPropertiesBuilder`
  Enclosing class:
    AbstractKafkaClientProperties<C extends AbstractKafkaClientProperties<C>>

      public abstract static class AbstractKafkaClientProperties.KafkaClientPropertiesBuilder<T extends AbstractKafkaClientProperties.KafkaClientPropertiesBuilder<T>>
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KafkaClientPropertiesBuilder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `withCaSecretName​(String caSecretName)` |
    `T` | `withClusterName​(String clusterName)` |
    `T` | `withKafkaUsername​(String kafkaUsername)` |
    `T` | `withNamespaceName​(String namespaceName)` |
    `T` | `withSaslJassConfig​(String clientId, String clientSecretName, String oauthTokenEndpointUri)` |
    `T` | `withSaslJassConfigAndTls​(String clientId, String clientSecretName, String oauthTokenEndpointUri)` |
    `T` | `withSaslLoginCallbackHandlerClass()` |
    `T` | `withSaslMechanism​(String saslMechanismType)` |
    `T` | `withSecurityProtocol​(org.apache.kafka.common.security.auth.SecurityProtocol securityProtocol)` |
    `T` | `withSharedProperties()` | Create properties which are same pro producer and consumer

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KafkaClientPropertiesBuilder

          public KafkaClientPropertiesBuilder()

  - ### Method Detail

    - #### withNamespaceName

          public T withNamespaceName​(String namespaceName)

    - #### withClusterName

          public T withClusterName​(String clusterName)

    - #### withCaSecretName

          public T withCaSecretName​(String caSecretName)

    - #### withKafkaUsername

          public T withKafkaUsername​(String kafkaUsername)

    - #### withSecurityProtocol

          public T withSecurityProtocol​(org.apache.kafka.common.security.auth.SecurityProtocol securityProtocol)

    - #### withSaslMechanism

          public T withSaslMechanism​(String saslMechanismType)

    - #### withSaslLoginCallbackHandlerClass

          public T withSaslLoginCallbackHandlerClass()

    - #### withSaslJassConfig

          public T withSaslJassConfig​(String clientId,
                                      String clientSecretName,
                                      String oauthTokenEndpointUri)

    - #### withSaslJassConfigAndTls

          public T withSaslJassConfigAndTls​(String clientId,
                                            String clientSecretName,
                                            String oauthTokenEndpointUri)

    - #### withSharedProperties

          public T withSharedProperties()

      Create properties which are same pro producer and consumer